import { NgModule } from '@angular/core';
import { RouterModule, Route } from '@angular/router';
import { UserComponent } from './user/user.component';
import { RepositoryComponent } from './repository/repository.component';
import { AccessapiComponent } from './accessapi/accessapi.component';
import { SettingfdpComponent } from './settingfdp/settingfdp.component';
import { SettingsmartapiComponent } from './settingsmartapi/settingsmartapi.component';
import { RepositoryinfoComponent } from './repositoryinfo/repositoryinfo.component';
import { PublishApiComponent } from './publishapi/publishapi.component'
import { SearchComponent } from './search/search.component';
import { AuthenticationComponent } from './authentication/authentication.component';
import { SigninComponent } from './authentication/signin/signin.component';
import { SignupComponent } from './authentication/signup/signup.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { AuthGuardService } from './authentication/services/auth.guard';
import { StatsComponent } from './stats/stats.component';

export interface ICustomRoute extends Route {
  name?: string;
}


const routes: ICustomRoute[] = [
  { path: '', redirectTo: '/auth/signin', pathMatch: 'full' },
  { path: 'dashboard', component: DashboardComponent, canActivate: [AuthGuardService],
      children: [
        { path: 'simplesearch', component: SearchComponent },
        { path: 'user', component: UserComponent },
        { path: 'repository', component: RepositoryComponent },
        { path: 'repositoryinfo', component: RepositoryinfoComponent },
        { path: 'accessapi', component: AccessapiComponent },
        { path: 'stats', component: StatsComponent },
       /* { path: 'settingfdp', component: SettingfdpComponent },
        { path: 'settingsmartharvester', component: SettingsmartapiComponent },*/
        { path: 'publishapi', component: PublishApiComponent },
        { path: 'advancedsearch', component: SearchComponent },
      ]
  },
  { path: 'auth', component: AuthenticationComponent,name:'',
      children: [
        { path: 'signup', component: SignupComponent, data: { animation: 'SignUp'} },
        { path: 'signin', component: SigninComponent, data: { animation: 'SignIn'} },
    ]
  }

]
@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }