import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NbMenuItem, NbSidebarService } from '@nebular/theme';
import { AuthService } from '../services/auth.service';

@Component({
  selector: 'app-account.admin',
  templateUrl: './account.admin.component.html',
  styleUrls: ['./account.admin.component.scss']
})
export class AccountAdminComponent implements OnInit {

  items: NbMenuItem[] = [
    {
      title: 'Home',
      icon: 'home-outline',
      link: '/dashboard/',
      pathMatch: 'full'
    },
    {
      title: 'Integrate your repository',
      icon: 'cube-outline',

      children: [
        {
          title: 'SDT information',
          link: '/dashboard/repositoryinfo',
          pathMatch: 'full',
          icon: 'flash-outline',
        },
        {
          title: 'Technical information',
          link: '/dashboard/repository',
          pathMatch: 'full',
          icon: 'text-outline',
        },
        {
          title: 'Describe access to datasets',
          icon: 'clipboard-outline',
          link: '/dashboard/publishapi',
          pathMatch: 'full'
        }
      ],
    },
    {
      title: 'Search',
      icon: 'search-outline',
      link: '/dashboard/simplesearch',
      pathMatch: 'full'
    },
    {
      title: 'Settings',
      icon: 'options-2-outline',
      children: [
        {
          title: 'FFDS settings',
          link: '/dashboard/settingfdp',
          pathMatch: 'full'
        },
        {
          title: 'SmartHarvester settings',
          link: '/dashboard/settingsmartharvester',
          pathMatch: 'full'
        }
      ],
    },
  ];

  constructor(private authService: AuthService, private router: Router, private readonly sidebarService: NbSidebarService,) { }

  ngOnInit(): void {
  }
  
  logout(){
    this.authService.logout();
    this.router.navigateByUrl('/auth/login');
  }
  toggleSidebar(): boolean {
    this.sidebarService.toggle(true);
    return false;
  }
}
