import { Injectable } from '@angular/core';
import { AuthService } from './auth.service';

const TOKEN_KEY = 'auth-token';
const USER_KEY = 'auth-user';
const FDP_TOKEN_KEY = 'fdp-token';

@Injectable({
  providedIn: 'root'
})
export class TokenStorageService {

  constructor() { }
  signOut(): void {
    window.sessionStorage.clear();
  }

  public saveToken(token: string,f2dsToken:string): void {
    window.sessionStorage.removeItem(TOKEN_KEY);
    window.sessionStorage.removeItem(FDP_TOKEN_KEY);
    window.sessionStorage.setItem(TOKEN_KEY, token);
    window.sessionStorage.setItem(FDP_TOKEN_KEY, f2dsToken);
  }

  public getToken(): string {
    return window.sessionStorage.getItem(TOKEN_KEY);
  }
  public getFDPToken(): string  {
    return window.sessionStorage.getItem(FDP_TOKEN_KEY);
  }

  public saveUser(user): void {
    window.sessionStorage.removeItem(USER_KEY);
    window.sessionStorage.setItem(USER_KEY, JSON.stringify(user));
  }

  public getUser(): any {
    return JSON.parse(sessionStorage.getItem(USER_KEY));
  }
  public removeToken(){
    window.localStorage.removeItem(TOKEN_KEY);
    window.sessionStorage.removeItem(FDP_TOKEN_KEY);
  }

  

}
