import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
import { Router } from '@angular/router';
import { SmartHarvesterUser } from 'src/app/user/model/user';
import { AuthService } from '../services/auth.service';

@Component({
  selector: 'app-signup',
  templateUrl: './signup.component.html',
  styleUrls: ['./signup.component.scss']
})
export class SignupComponent implements OnInit {

  isSubmitted  =  false;
  isLoggedIn = false;
  isLoginFailed = false;
  errorMessage = '';
  showPassword = false;
  user: SmartHarvesterUser = new SmartHarvesterUser({});
  
  
  constructor(private authService: AuthService, private router: Router) { }

  ngOnInit(): void {
  }

  onSubmit(): void {
    

    this.authService.register(this.user).subscribe(
      data => {
        console.log("Response : ", data);
      },
      err => {
        this.errorMessage = err.error.message;
        this.isLoginFailed = true;
      },
      () => this.router.navigateByUrl('/auth/signin')
    );
  }

  reloadPage(): void {
    window.location.reload();
  }  



}
