import { Component, Inject, OnInit } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

interface DialogData {
  datasetId: number[];
}

@Component({
  selector: 'app-datasets-dialog',
  templateUrl: './datasets-dialog.component.html',
  styleUrls: ['./datasets-dialog.component.scss']
})
export class DatasetsDialogComponent implements OnInit {

  datasetIdSelected: number[] = [];

  constructor(
    public dialogRef: MatDialogRef<DatasetsDialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: DialogData,
  ) { }

  ngOnInit() {
    this.datasetIdSelected = [...this.data.datasetId];
  }

  onClickNext() {
    this.dialogRef.close(this.datasetIdSelected);
  }

  closeDialog() {
    this.dialogRef.close([]);
  }

}
