export class Property {
    public property: string;
    public uri: string;
    public usageNote: string;
    public range?: string;
    public card: string;
    public geodcat: boolean;
    public isDuplicated?: boolean = false;
    public dcatClass?: string;
  
    constructor(name: string, identifier: string, usageNote: string, isDuplicated: boolean, card: string, geodcat:boolean) {
        this.property = name;
        this.uri = identifier;
        this.usageNote = usageNote;
        this.isDuplicated = isDuplicated;
        this.card = card;
        this.geodcat = geodcat;
    }
}


export class OldProperty {
    public name: string;
    public identifier: string;
    public usageNote: string;
    public isDuplicated?: boolean = false;
  
    constructor(name: string, identifier: string, usageNote: string, isDuplicated: boolean, card: string, geodcat:boolean) {
        this.name = name;
        this.identifier = identifier;
        this.usageNote = usageNote;
        this.isDuplicated = isDuplicated;
        
    }
}
export class DatasetPath {
    public dcatProperty: Property | string;
    public path: string;
    public dcatClass: string;
    public card: string;

    constructor(dcatProperty: Property, path: string, dcatClass: string, card: string) {
        this.dcatProperty = dcatProperty;
        this.path = path;
        this.dcatClass = dcatClass;
        this.card = card;
    }
}

export class Distribution {
    public property: string;
    public uri: string;
    public range: string;
    public usageNote: string;
    public card: string;
    public geodcat: boolean;
    public isDuplicated?: boolean = false;

    
}

export class ResponseFileTsv {
    public subject_label: string;
    public predicat_id: string;
    public object_id: string;
    public match_type: string;
    public object_category: string;
}


