export interface Dataverse {
    status: string,
    data: Data
}

export interface Data {
    id: number,
    identifier: string,
    persistentUrl: string,
    protocol : string,
    authority: string,
    publisher: string,
    publicationDate: string,
    storageIdentifier: string,
    latestVersion: LatestVersion
}

export interface LatestVersion {
    id: number,
    datasetId: number,
    datasetPersistentId: string,
    storageIdentifier: string,
    versionNumber: number,
    versionMinorNumber: number,
    versionState: string,
    distributionDate: string,
    productionDate: string,
    lastUpdateTime: string,
    releaseTime: string,
    createTime: string,
    license: string,
    termsOfUse: string,
    fileAccessRequest: boolean,
    metadataBlocks: MetadataBlock,
    file: Array<string>
}

export interface MetadataBlock {
    citation: Citation
}

export interface Citation {
    displayName: string,
    fields: Array<Field>
}

export interface Field {
    typeName: string,
    multiple: boolean,
    typeClass: string,
    value: Field | string
}