import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment.prod';

@Injectable({
  providedIn: 'root'
})
export class ParseXmlService {
 
  blazePath = environment.fdpUrl+ "/blazegraph/sparql";

  constructor(private http:HttpClient) { }
  
  
  getXmlResult(body): Observable<any> {
    const httpOptions = {
        headers: new HttpHeaders({
          'Content-Type':  'application/x-www-form-urlencoded',
          'responseType': 'application/sparql-results+xml'         
        })
      };
    return this.http.post(this.blazePath,body, httpOptions);   
  }

}
